Subject: Re: bug#27512: 25.2; Crash when working with counsel

From: Paul Eggert <[email-masked]>
Date: Sat, 1 Jul 2017 15:17:45 -0500

On 06/29/2017 09:33 AM, Eli Zaretskii wrote:
> Paul, isn't it strange that waitpid exits with errno = ECHILD when it
> waits for a specific PID?  What can we do against such calamities?
> accept it like we do with EINTR?

It's apparently a bug in macOS and I installed a workaround for it in 
master, as commit 7c951fd51832badb09055a8e177f8ec358cbbdcf dated 2017-05-19.